# ReflexerWithdrawStuckFunds

### Description

Withdraws stuck rai from a Reflexer safe

> **Notes**
>
> Only owner of the safe can withdraw funds Withdraws stuck funds from the safe

### Action ID

`0x20ee2a2a`

### SDK Action

```ts
const reflexerWithdrawStuckFundsAction = new dfs.actions.reflexer.ReflexerWithdrawStuckFunds(
    safeId,
    to
);

```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param safeId Id of the reflexer safe
    /// @param to Address where to send stuck rai tokens
    struct Params {
        uint256 safeId;
        address to;
    }
```

### Return Value

```solidity
return bytes32(withdrawnAmount);
```

### Events and Logs

```solidity
emit ActionEvent("ReflexerWithdrawStuckFunds", logData);
logger.logActionDirectEvent("ReflexerWithdrawStuckFunds", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/actions/reflexer/reflexerwithdrawstuckfunds.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
